Known issues in Greenplum Database related to Greenplum Upgrade/Downgrade

posted Jan 25, 2014, 8:51 AM by Sachchida Ojha
1. Issue 17837
Major version upgrades internally depend on the gp_toolkit system schema. The alteration or absence of this schema may cause upgrades to error out during
preliminary checks.
Workaround: To enable the upgrade process to proceed, you need to reinstall the gp_toolkit schema in all affected databases by applying the SQL file found here:
$GPHOME/share/postgresql/gp_toolkit.sql.
Comments